package com.ruoyi.report.domain;

import java.util.Date;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 计划完成率产量日报对象 record_planrateamount_day
 * 
 * @author CaesarBao
 * @date 2020-11-04
 */
@Data
public class RecordPlanrateamountDay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 计划ID */
    @Excel(name = "计划ID")
    private String planid;

    /** 计划总产量 */
    @Excel(name = "计划总产量")
    private Long planAmount;

    /** 实际总产量 */
    @Excel(name = "实际总产量")
    private Long realAmount;

    /** 计划完成率 */
    @Excel(name = "计划完成率")
    private Long plancompleterate;

    /** 单位 */
    @Excel(name = "单位")
    private String unitId;

    /** 记录时间 */
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordtime;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setPlanid(String planid) 
    {
        this.planid = planid;
    }

    public String getPlanid() 
    {
        return planid;
    }
    public void setPlanAmount(Long planAmount) 
    {
        this.planAmount = planAmount;
    }

    public Long getPlanAmount() 
    {
        return planAmount;
    }
    public void setRealAmount(Long realAmount) 
    {
        this.realAmount = realAmount;
    }

    public Long getRealAmount() 
    {
        return realAmount;
    }
    public void plancompleterate(Long plancompleterate)
    {
        this.plancompleterate = plancompleterate;
    }

    public Long plancompleterate()
    {
        return plancompleterate;
    }
    public void setUnitId(String unitId) 
    {
        this.unitId = unitId;
    }

    public String getUnitId() 
    {
        return unitId;
    }
    public void setRecordtime(Date recordtime) 
    {
        this.recordtime = recordtime;
    }

    public Date getRecordtime() 
    {
        return recordtime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("planid", getPlanid())
            .append("planAmount", getPlanAmount())
            .append("realAmount", getRealAmount())
            .append("plancompleterate", plancompleterate())
            .append("unitId", getUnitId())
            .append("recordtime", getRecordtime())
            .toString();
    }
}
